Skip to Content
inclamoDocs

Get a contact

GET
/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}

Get the details of a contact

Path Parameters

inbox_identifier*string

The identifier obtained from API inbox channel

contact_identifier*string

The source id of contact obtained on contact create

Response Body

Success

application/json
  1. response
id?integer

Id of the contact

source_id?string

The session identifier of the contact

name?|

Name of the contact when available

email?|

Email of the contact

phone_number?|

Phone number of the contact

pubsub_token?string

The token to be used to connect to chatwoot websocket

Example Request
curl -X GET 'https://helpdesk.inclamo.com/public/api/v1/inboxes/string/contacts/string'
Example Response
{  "id": 0,  "source_id": "string",  "name": "string",  "email": "string",  "phone_number": "string",  "pubsub_token": "string"}